Bug 1761876 - [RFE] EPEL 6 branch for python-sphinxcontrib-napoleon
Summary: [RFE] EPEL 6 branch for python-sphinxcontrib-napoleon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-sphinxcontrib-napoleon
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1759730
TreeView+ depends on / blocked
 
Reported: 2019-10-15 13:45 UTC by Paul Howarth
Modified: 2019-11-15 02:23 UTC (History)
1 user (show)

Fixed In Version: python-sphinxcontrib-napoleon-0.2.9-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 02:23:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Howarth 2019-10-15 13:45:37 UTC
Hi,

I'm trying to bring pycryptodomex to EPEL-6 (Bug #1759730) and it needs the napoleon sphinx extension in order to build the manpage.

I've managed to build and use this locally by making a couple of small changes to the epel7 spec:

 * Change %{__python2} to %{__python} (2 places)
 * Change %{python2_sitelib} to %{python_sitelib} (1 place)

If you're not interested in supporting EPEL-6 I would be happy to maintain that branch myself (FAS: pghmcfc).

Comment 1 Paul Howarth 2019-10-30 14:54:27 UTC
OK, I'll do this one myself.

https://pagure.io/releng/fedora-scm-requests/issue/19007

Comment 2 Fedora Update System 2019-10-30 15:11:25 UTC
FEDORA-EPEL-2019-1609b16323 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1609b16323

Comment 3 Fedora Update System 2019-10-31 01:20:57 UTC
python-sphinxcontrib-napoleon-0.2.9-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1609b16323

Comment 4 Fedora Update System 2019-11-15 02:23:38 UTC
python-sphinxcontrib-napoleon-0.2.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.